$(document).ready(function(){buttnoretry();
if(top==self){var a=[];
a.webhost=location.hostname;
a.targeturl=location.href.replace("http://","").replace(location.hostname,"");
$e28dd6773=$e28dd6773?$e28dd6773:request("e28dd6773").replace("_mr_",".");
$e28dd6773=$e28dd6773?$e28dd6773:location.hostname;
top.location.href="http://"+$e28dd6773+"/index.php?"+http_build_query(a);
}if(em_usrrank<5){$("#e51663ad9").attr("disabled",true).attr("checked",false);
}innerresizeWeb();
$2("l_exportquery_false").value=eme64769cac($2("l_exportquery").value,"l","parse");
$2("exportquery_false").value=eme64769cac($2("exportquery").value,"c","parse");
if(document.form1.e535ded19.value){$(document.form1.e535ded19.value).addClass("hiddencommon");
if(document.form1.e535ded19.value.indexOf("lcommontd")!=-1){$("table#l_exportquerytable").css("width","550px").addClass("extraexportquerytable");
}if(document.form1.e535ded19.value.indexOf("Ccommontd")!=-1){$("table#exportquerytable").css("width","550px").addClass("extraexportquerytable");
}if($2("exportquery_false").value){query2table("exportquery_false","exportquerytable",1);
}if($2("l_exportquery_false").value){query2table("l_exportquery_false","l_exportquerytable",1);
}}$("table.exportquerytable").each(tablewidthchg);
if(!$2("e4fbdda68").checked){$("tr#fileuptr").hide();
}if(!$2("e51663ad9").checked){$("tr#prosettr").hide();
}});
multidata_template="";
exportdataarr=[];
function addnode(){location.href="http://"+window.name.replace("_mr_",".")+"/mr_co_exportothersite.php?nid="+form1.nid.value;
}function testpubcontent(a){if(typeof statichasuse=="undefined"){statichasuse=0;
}var d=a.form;
var e="co_pub_action.php";
if(typeof eminer_test=="undefined"){eminer_test=new co_pub();
}eminer_test.efabd4b3b="请稍等，测试进行中。。。";
if(a.id=="logintest"){eminer_test.eae31a53a=[];
}if($paramarr.cfg_eminercoerr_allownum){eminer_test.eminercoerr_allownum=$paramarr.cfg_eminercoerr_allownum;
}if($paramarr.cfg_eminerpuberr_allownum){eminer_test.eminerpuberr_allownum=$paramarr.cfg_eminerpuberr_allownum;
}if(a.form.e535ded19&&a.form.e535ded19.value){if($2("l_exportquery_false").value&&document.form1.e535ded19.value.indexOf("lcommontd")!=-1){table2query("l_exportquery_false","l_exportquerytable",1);
}if($2("exportquery_false").value&&document.form1.e535ded19.value.indexOf("Ccommontd")!=-1){table2query("exportquery_false","exportquerytable",1);
}}if($2("l_exportquery_false").value){d.l_exportquery.value=eme64769cac(d.l_exportquery_false.value,"l");
}else{d.l_exportquery.value="";
}if($2("exportquery_false").value){d.exportquery.value=eme64769cac(d.exportquery_false.value,"c");
}else{d.exportquery.value="";
}eminer_test.postdata=$(d).serialize();
eminer_test.eae31a53a.ebb8ee038=1;
eminer_test.eae31a53a.ed171cc1a=1;
if(d.pname.value==""){$("input#pname").focus();
$.poping({height:"auto",overlayCSS:{display:"none"}},{},"信息提示",'<img class="os" src="images/dg_face/face_error.png" />节点名字不能为空！');
return;
}else{if(d.ee329075e.value==""){$("input#ee329075e").focus();
$.poping({height:"auto",overlayCSS:{display:"none"}},{},"信息提示",'<img class="os" src="images/dg_face/face_error.png" />默认发布网站不能为空！');
return;
}}if(a.id=="logintest"){if(!($2("e302c1692").checked&&$("select#ea23972cb").val()!=0)){if(d.e8c83ddbe.value==""){$("#e8c83ddbe").focus();
$.poping({height:"auto",overlayCSS:{display:"none"}},{},"信息提示",'<img class="os" src="images/dg_face/face_error.png" />登陆网址不能为空！');
return;
}else{if(d.l_exportquery.value==""){$("#l_exportquery").focus();
$.poping({height:"auto",overlayCSS:{display:"none"}},{},"信息提示",'<img class="os" src="images/dg_face/face_error.png" />提交内容不能为空！');
return;
}}}eminer_test.eae31a53a.temp_nextstep="first_login";
eminer_test.eae31a53a.temp_phrase="1";
eminer_test.eae31a53a.temp_origin="1";
eminer_test.eae31a53a.e95159ca1="1";
}else{if(a.id=="pubtest"){if(!($2("e302c1692").checked&&$("select#ea23972cb").val()!=0)){if(d.ed6294cba.value==""){$("#ed6294cba").focus();
$.poping({height:"auto",overlayCSS:{display:"none"}},{},"信息提示",'<img class="os" src="images/dg_face/face_error.png" />内容接收网址不能为空！');
return;
}else{if(d.exportquery.value==""){$("#exportquery").focus();
$.poping({height:"auto",overlayCSS:{display:"none"}},{},"信息提示",'<img class="os" src="images/dg_face/face_error.png" />提交内容不能为空！');
return;
}else{if(d.e384800d8.value==""){$("input#e384800d8").focus();
$.poping({height:"auto",overlayCSS:{display:"none"}},{},"信息提示",'<img class="os" src="images/dg_face/face_error.png" />发布成功返回信息关键词不能为空！');
return;
}}}}eminer_test.eae31a53a.temp_nextstep="edc54d97e";
eminer_test.eae31a53a.temp_phrase="4";
eminer_test.eae31a53a.e95159ca1="2";
eminer_test.clearself=1;
}else{return;
}}if(statichasuse==0){eminer_test.eae31a53a.temp_origin="1";
}var b="<div  id=\"repaircostart\" style=\"display:block;\"><div class='copubbox'><div class='copubbar'><div id='now'></div></div><div id='go'><div class='initmsg'><img class='os' src='images/loading.gif'/>测试工作准备中，请稍等...</div></div></div></div>";
$.poping({height:"300px"},{},"发布测试",b);
statichasuse++;
eminer_test.eminerpub(e+"?e9d2722af=1&action=robot&kw_g=1&ecab1c4fe=1&e6dd1f3ba=1&eabd06204=1&ec7fca41a=1&e05ca0eb9=1&pid=T1&"+http_build_query(eminer_test.eae31a53a)+"&e66756569=1&donow=1&ec6017fed=1");
}function delrecord(a){a.eb5707348.value="delete";
a.target.value="_self";
a.submit();
}function changeid(a){location.href="http://"+window.name.replace("_mr_",".")+"/co_exportothersite.php?eb5707348=edit&pid="+a;
}function testftpup(){}function testftplogin(){$("#loadingftp").show();
$("#testftpmsg").html("");
var e=$("#eacceac27").val().replace(/(^\s*)|(\s*$)/g,"");
var g=$("#e02030dd4").val().replace(/(^\s*)|(\s*$)/g,"");
var f=$("#edb9a100b").val().replace(/(^\s*)|(\s*$)/g,"");
var i=$("#e3f6cf642").val().replace(/(^\s*)|(\s*$)/g,"");
var b=$("#eabeafb5c").val().replace(/(^\s*)|(\s*$)/g,"");
var a=$("#e2c84e821").attr("checked")?1:0;
var d=$("#e8b13663b").attr("checked")?1:0;
var c={eacceac27:e,eabeafb5c:b,e02030dd4:g,edb9a100b:f,e3f6cf642:i,e2c84e821:a,e8b13663b:d};
if(e&&g&&f&&i){var h=false;
$.ajax({type:"POST",async:false,url:"?ajax=1&gettype=post&eb5707348=ftplogin",cache:false,dataType:"json",data:c,success:function(j){$("#loadingftp").hide();
if(j==null){$("#testftpmsg").html("服务器未响应，请重新设置");
h=false;
return false;
}else{if(j.status=="error"){$("#testftpmsg").html(j.info);
h=false;
return false;
}else{if(j.status=="success"){$("#testftpmsg").html(j.info);
return;
}}}},error:function(k,j,l){$("#loadingftp").hide();
$("#testftpmsg").html("网络故障，未能成功");
h=false;
return false;
}});
return h;
}else{$.poping({height:"auto",overlayCSS:{display:"none"}},{},"信息提示",'<img class="os" src="images/dg_face/face_error.png" />ftp设置的一些必填项未填，请检查');
}}function alterenctype(a){if(/Content-Disposition:\s+?form-data;\s+?/i.test(a.value)){$("input#e442dfe172").attr("checked","checked");
}else{$("input#e442dfe17").attr("checked","checked");
}}var remotecoo="";
$(function(){if($("input#pid").val()){$("input#eb5707348").val("editsave");
}else{$("input#eb5707348").val("addsave");
}$("table.listtable input.ef73f2954").each(function(){if(timezone=="all"||timezone.indexOf(","+this.value+",")>-1){this.checked=true;
}});
$(".wtooltip").wtooltip({theme:"blue",fadeIn:200,fadeOut:200,position:"mouse"});
});
function e103f1080change(d){var a=$(d).val();
var e="";
$("div[id^='vardiv_']").hide();
if($("div#vardiv_"+a).length>0){$("div#vardiv_"+a).show();
}else{var b=$(d.options[d.selectedIndex]).attr("exportquery");
var c=/\{(var_[^\}])\}/gi;
while((arr=c.exec(b))!=null){e+="<div class='vardiv' id='vardiv_"+a+"'>"+arr[1]+"<input class='varinput' name=vararr['"+arr[1]+"'] size=5 /></div>";
}$("div#vararrdiv").append(e);
}}function saveform(a){$("div#vararrdiv div:hidden").remove();
a.submit();
}var Try={these:function(){var c=false;
for(var b=0;
b<arguments.length;
b++){var a=arguments[b];
try{c=a();
if(c==true){break;
}}catch(d){}}return c;
}};
function judgeimg(a){var b=false;
if(a&&a.clientWidth&&a.clientWidth>10){return true;
}else{return false;
}}function submitact(a){if(em_usrrank<10&&$("#eaaed87de").val()=="emusr1"){$.poping({height:"auto",overlayCSS:{display:"none"}},{},"信息提示",'<img class="os" src="images/dg_face/face_error.png" />此节点为公共示例节点，不能修改！');
return false;
}var c=a.form;
if(c.pname.value==""){$("input#pname").focus();
$.poping({height:"auto",overlayCSS:{display:"none"}},{},"信息提示",'<img class="os" src="images/dg_face/face_error.png" />节点名字不能为空！');
return;
}else{if(c.ee329075e.value==""){$("input#ee329075e").focus();
$.poping({height:"auto",overlayCSS:{display:"none"}},{},"信息提示",'<img class="os" src="images/dg_face/face_error.png" />默认发布网站不能为空！');
return;
}}localurl="http://"+window.name.replace("_mr_",".")+"/locallogin.php?eb5707348=dowithdata&e52731e59=pub&callback=?";
$.getJSON(localurl,{},function(){});
if(a.form.e535ded19&&a.form.e535ded19.value){if($2("exportquery_false").value&&document.form1.e535ded19.value.indexOf("Ccommontd")!=-1){table2query("exportquery_false","exportquerytable",1);
}if($2("l_exportquery_false").value&&document.form1.e535ded19.value.indexOf("lcommontd")!=-1){table2query("l_exportquery_false","l_exportquerytable",1);
}}if($2("l_exportquery_false").value){a.form.l_exportquery.value=eme64769cac(a.form.l_exportquery_false.value,"l");
}else{a.form.l_exportquery.value="";
}if($2("exportquery_false").value){a.form.exportquery.value=eme64769cac(a.form.exportquery_false.value,"c");
}else{a.form.exportquery.value="";
}var d={url:"?ajax=1&gettype=post",params:$(a.form).serialize(),opts:{},timedelay:10000};
var b=function(e){if(e.data){document.form1.pid.value=e.data;
document.form1.eb5707348.value="editsave";
}return true;
};
$.submitajax(d,"",{},{},"提示信息",'<img class="os" src="images/loading.gif" />正在操作中...',b);
}